Revert in 01/2017: Request creation of wmwcourse labs project
Closed, ResolvedPublic

Description

Project Name: Working with data in Wikimedia and MediaWiki
Purpose: To create mediawiki-vagrant instances where students learn to work with MediaWiki, especially with data imports and exports
Wikitech Username of requestor: Nikerabbit

More info on the course will be at: https://meta.wikimedia.org/wiki/Working_with_data_in_Wikimedia_and_MediaWiki.

At the moment I am expecting maximum of 20 instances, so it would be nice if the limits would be high enough to allow this (I believe medium size instances are recommended for mediawiki-vagrant). If this is not possible, do let me know. This project is time bound and can be deleted in early 2017.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2016, 1:12 PM
Nikerabbit updated the task description. (Show Details)Sep 4 2016, 11:05 AM
bd808 added a subscriber: bd808.Sep 5 2016, 4:48 AM

Small instances work fine for mw-vagrant at low request volume.

Okay, I can use small instances then.

chasemp added a subscriber: chasemp.EditedSep 12 2016, 3:58 PM

Summation here is:

  • Quota for 20 small instances that will run mediawiki-vagrant
  • Will be removable in January 2017 (seems like it's for a course that runs through Dec)

@Nikerabbit is this right?

Yep. I said early 2017 in case the project work takes more time to finish after the lectures end in December.

Nikerabbit moved this task from Backlog to Needing on the User-Nikerabbit board.
chasemp changed the task status from Open to Stalled.Sep 19 2016, 1:31 PM

Yep. I said early 2017 in case the project work takes more time to finish after the lectures end in December.

You should be good to go here. Let me know if there are any issues. I'm putting this task in a stall state for later cleanup. Good luck with the course!

chasemp renamed this task from Request creation of wmwcourse labs project to Revert in 01/2017: Request creation of wmwcourse labs project.Sep 19 2016, 1:31 PM
Nikerabbit moved this task from Needing to Backlog on the User-Nikerabbit board.Sep 22 2016, 8:28 AM

I started shutting down instances that are no longer in use. Please don't delete the ones still running just yet.

I started shutting down instances that are no longer in use. Please don't delete the ones still running just yet.

no worries, we won't circle back on this for a few weeks either way.

Okay to go ahead on this. All instances are turned off already. Thanks for the opportunity.

@Nikerabbit really cool stuff, we would be love to hear back how it worked out and what we could do better for this use case. It's not the typical one but we do have others running courses and/or classes using resources on Labs.

Work well:

  • Prefix puppet is handy (I wish I had discovered it before starting to create instances)
  • Easy MediaWiki setup for each student (the focus was not on installing MediaWiki)
  • Easy for me to assist students with the issues they had and to review assignments
    • The wikis were public, and I could also ssh into the instances but that was not necessary
  • I was able to use one instance for demonstrations in the class and then students could go that later to check what I did
  • Students now have wikitech accounts, making it easier for them to contribute in the future if they want to

Acks:

  • SSH setup is a bit involved, and for a few students it took some debugging to get it to work. But the documentation is good.
  • There were some maintenance periods during the course, but to my knowledge the effect was quite small and no student missed a deadline because of them.
  • Setting up each instance (puppet, vagrant, http proxy) took some, but manageable amount of time. Would be nice to make it less repetitive.

Could be improved:

  • Quite long delay while I was unsure whether the project would be accepted
  • Data dumps were not available via the instances. I set up a shared instance with some selected dumps and pre-installed tools to process them. But given there was an option to also use the APIs, all students preferred to do it using the APIs.

It was great that this was possible, because all the other options would have been problematic:

  • Students using their own computers (–assisting and debugging)
  • Getting university resources (–slow and bureaucratic, if possible at all)
  • Getting private servers (–costly, mess with ssh-keys and accounts etc.)

Would someone attempt this again, I would recommend to limit the number of students to 20 or less. I had a quite high dropout rate [1] throughout the course so I ended up needing less instances than requested.

[1] Based on my own experiences as a student in that department, the dropout rates are generally quite high.

bd808 added a comment.Jul 5 2017, 12:23 AM

Okay to go ahead on this. All instances are turned off already. Thanks for the opportunity.

There are quite a few instances listed on https://tools.wmflabs.org/openstack-browser/project/wmwcourse including a batch created in the last few weeks. Should we just adjust the quota down and leave the project running, or should we really move forward with deleting the project and all instances in it?

Okay to go ahead on this. All instances are turned off already. Thanks for the opportunity.

Any changes after that are not my doings, and I don't see any new instances created.

Nikerabbit changed the task status from Stalled to Open.Jul 5 2017, 6:42 AM
chasemp closed this task as Resolved.Jul 5 2017, 6:47 PM
chasemp claimed this task.
chasemp added a subscriber: Andrew.

I have cleaned up all instances here and removed all non-admin project members. Want to talk to @Andrew about proper project deletion but this is now inactive.

Andrew added a comment.Jul 6 2017, 3:35 PM

@chasemp Right now the system is that I use the 'Delete' link in Wikitech, and it times out and fails three times out of four so I just keep retrying. I'm pretty close to having Horizon deleting projects properly at which point this should get better.

In the meantime, I will delete the project right now.